Google Play商店停止接收目标API为安卓8.0以下App更新

谷歌宣布,自11月1日起,Google Play商店将停止接收针对Android 8.0之前旧安卓API设计的App。这意味着,开发者若要向Play商店提交新的应用更新,应用的目标API应为安卓8.0及更高版本( API Level 26及以上)。

而且从现在开始,这一门槛也将逐年提高:例如,2019年8月起,提交到Play商店的应用目标API至少为API Level 28(安卓9 Pie);2019年11月起,提交到Play商店的应用更新目标API也至少为API Level 28(安卓9 Pie)。

谷歌提出这一限制要求的原因是因为安卓手机碎片化现象非常严重。通常,开发者很少会在第一时间针对最新系统版本优化应用。从直接结果来看,这一问题直接影响了应用的兼容性,从潜在的问题来看,这样的应用也不遵从新系统的特性,系统无法对这些应用进行耗电等方面的制约。